- Qt 6.9
- Qt GUI
- C++ Classes
- SeparateToCombinedImageSamplerMapping
- Qt 6.9.3 Reference Documentation

# QShader::SeparateToCombinedImageSamplerMapping Struct

struct QShader::SeparateToCombinedImageSamplerMapping

Mapping metadata for sampler uniforms. More...

- List of all members, including inherited members

## Public Variables

QByteArray | combinedSamplerName
int | samplerBinding
int | textureBinding

## Detailed Description

Describes a mapping from a traditional combined image sampler uniform to binding points for a separate texture and sampler.

For example, if `combinedImageSampler` is `"_54"`, `textureBinding` is `1`, and `samplerBinding` is `2`, this means that the GLSL shader code contains a `sampler2D` (or sampler3D, etc.) uniform with the name of `_54` which corresponds to two separate resource bindings (`1` and `2`) in the original shader.

Note: This is a RHI API with limited compatibility guarantees, see QShader for details.

## Member Variable Documentation

### QByteArray SeparateToCombinedImageSamplerMapping::combinedSamplerName

### int SeparateToCombinedImageSamplerMapping::samplerBinding

### int SeparateToCombinedImageSamplerMapping::textureBinding